I gonna go for a different approach. I will use the Python code provided in this topic.
Too soon. That script also overrides the lines. I don’t want to override the color of the lines.
EDIT
Fixed the overrides lines
import clr
clr.AddReference("RevitAPI")
from Autodesk.Revit.DB import OverrideGraphicSettings, Color
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
elements = UnwrapElement(IN[0])
views = UnwrapElement(IN[1])
fill_pattern = UnwrapElement(IN[2])
color_input = IN[3]
color_l= color_input.split(" ")
color = Color(int(color_l[0]),int(color_l[1]),int(color_l[2]))
TransactionManager.Instance.EnsureInTransaction(doc)
for i in elements:
for view in views:
ogs = OverrideGraphicSettings()
ogs.SetProjectionFillColor(color)
ogs.SetProjectionFillPatternId(fill_pattern.Id)
ogs.SetCutFillPatternId(fill_pattern.Id)
ogs.SetCutFillColor(color)
ogs.SetHalftone(False)
ogs.SetSurfaceTransparency(IN[4])
view.SetElementOverrides(i.Id, ogs)
TransactionManager.Instance.TransactionTaskDone()